max
Prev | Orchestra Opcodes and Operators | Next

## max

max — Produces a signal that is the maximum of any number of input signals.

## Description

The max opcode takes any number of a-rate or k-rate signals as input (all of the same rate), and outputs a signal at the same rate that is the maximum of all of the inputs. For a-rate signals, the inputs are compared one sample at a time (i.e. max does not scan an entire ksmps period of a signal for its local maximum as the max_k opcode does).

## Syntax

    amax max ain1 [, ain2] [, ain3] [, ain4] [...]

    kmax max kin1 [, kin2] [, kin3] [, kin4] [...]

## Performance

ain1, ain2, ... -- a-rate signals to be compared.

kin1, kin2, ... -- k-rate signals to be compared.

## See Also

min, maxabs, minabs, maxaccum, minaccum, maxabsaccum, minabsaccum, max_k

## Credits

Author: Anthony Kozar
March 2006

New in Csound version 5.01

Prev | Up | Next
massign | Home | maxabs